<form
  class="teo-login-form"
  novalidate
  #form="ngForm"
  (submit)="onSubmit(form)"
>
  <h2 class="title">Create your account</h2>
  <div *ngIf="!success">
    <div>
      <h3 class="sub-title has-side-line">
        <span>Select an account type</span>
      </h3>
      <br />
      <div class="flex-row">
        <div
          [ngClass]="[
            'register-type',
            userType === 'company' ? 'is-active' : ''
          ]"
          (click)="selectUserType('company')"
        >
          <fa-icon [icon]="faBuilding"></fa-icon>
          <label for="" class="label">Company</label>
        </div>
        <div
          [ngClass]="[
            'register-type',
            userType === 'expert' ? 'is-active' : ''
          ]"
          (click)="selectUserType('expert')"
        >
          <fa-icon [icon]="faUser"></fa-icon>
          <label for="" class="label">Expert</label>
        </div>
      </div>
    </div>
    <br />
    <div>
      <mat-form-field class="is-fullwidth">
        <input
          matInput
          type="email"
          ngModel
          name="email"
          required
          placeholder="Email address"
        />
      </mat-form-field>

      <mat-form-field class="is-fullwidth">
        <input
          matInput
          type="password"
          ngModel
          name="password"
          required
          placeholder="Password"
        />
      </mat-form-field>

      <mat-form-field class="is-fullwidth">
        <input
          matInput
          type="password"
          ngModel
          name="confirm_password"
          required
          placeholder="Confirm password"
        />
      </mat-form-field>
      <div class="field">
        <label for="rememberme" class="label is-small">
          <input
            type="checkbox"
            class="has-gap"
            (click)="toggleAccept()"
            [checked]="accept"
          />
          <span class="has-gap"
          >I agree to the  <a [routerLink]="['/privacy-policy']">Privacy Policy</a>, <a [routerLink]="['/term-of-service-policy']">Terms of service </a> and <a [routerLink]="['/cookie-policy']">Cookie Policy</a></span
          >
        </label>
      </div>
      <br />
      <div class="field">
        <button
          class="button teo-btn is-fullwidth is-primary"
          type="submit"
          [disabled]="!accept"
        >
          REGISTER
        </button>
      </div>
      <br />
    </div>
  </div>
  <div *ngIf="success">
    <div class="has-text-center">
      <fa-icon
        [icon]="faPaperPlane"
        class="has-text-center"
        style="font-size: 80px;"
      ></fa-icon>
    </div>
    <br />
    <h2 class="sub-title has-side-line"><span>Email Verification</span></h2>
    <br />
    <p class="text-content has-text-center">
      We've sent an email to your registered email address:
      <b class="has-text-primary">{{ email }}</b> Follow the instructions in the
      email to claim 10 TEO Tokens and get started!
    </p>
    <br />
    <p class="text-content-small mb-10">
      <b>If you haven't received the email, please try the following</b>
    </p>

    <ul>
      <li class="text-content-small">
        • Make sure the email address you provided is correct.
      </li>
      <li class="text-content-small">
        • Check your Spam or Junk mail folders.
      </li>
      <li class="text-content-small">
        • Make sure your email is functioning normally.
      </li>
    </ul>
    <br />
    <div class="has-text-center">
      <button class="button is-primary is-outlined">RESEND EMAIL</button>
    </div>
    <br />
    <div class="has-text-center">
      <a [routerLink]="['/email-verify']">Test confirm email</a>
    </div>
  </div>
  <br />
  <div class="has-text-center">
    <div class="field">
      <span>Already member? <a [routerLink]="['/auth/login']">Login</a> now</span>
    </div>
  </div>
</form>
